- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GPop::SecretsImp Class Reference

A private pimple-pattern implementation class used by GPop::Secrets. More...

## Public Member Functions
| SecretsImp (const std::string &path)
std::string | path () const
std::string | secret (const std::string &mechanism, const std::string &id) const
bool | contains (const std::string &mechanism) const

## Public Attributes
std::string | m_path
GAuth::Secrets | m_secrets

## Detailed Description

A private pimple-pattern implementation class used by GPop::Secrets.

The implementation delegates to GSmtp::Secrets.

Definition at line 30 of file gpopsecrets.cpp.

## Constructor & Destructor Documentation

GPop::SecretsImp::SecretsImp | ( | const std::string & | path | ) |
| explicit

Definition at line 80 of file gpopsecrets.cpp.

References m_secrets, and GAuth::Secrets::valid().

## Member Function Documentation

bool GPop::SecretsImp::contains | ( | const std::string & | mechanism | ) | const

Definition at line 99 of file gpopsecrets.cpp.

std::string GPop::SecretsImp::path | ( |  | ) | const

Definition at line 89 of file gpopsecrets.cpp.

std::string GPop::SecretsImp::secret | ( | const std::string & | mechanism,
|  | const std::string & | id
| ) |  | const

Definition at line 94 of file gpopsecrets.cpp.

## Member Data Documentation

std::string GPop::SecretsImp::m_path

Definition at line 37 of file gpopsecrets.cpp.

GAuth::Secrets GPop::SecretsImp::m_secrets

Definition at line 38 of file gpopsecrets.cpp.

Referenced by SecretsImp().

The documentation for this class was generated from the following file:

- gpopsecrets.cpp